#include <stdio.h>
#include <stdlib.h>

void
afficheChiffres(int n){
  while(n>0){
    printf("%d ", n%10);
    n = n/10;
  }
  printf("\n");
}

void
classeChiffres(int n){
  for (int i=1; i<=9 ; i++){ /* À chaque passage dans la boucle,
                                on vérifie si n contient le chiffre i */
    int k = n;
    while (k>0){
      int unite = k%10;
      if(unite == i){
        printf("%d ", unite);
        break;               /* <---- break permet de sortir du while */
      }
      k /=10;
    }
  }
  printf("\n");
}


int
main(void){
  int n = 541845619;

  afficheChiffres(n);
  classeChiffres(n);

  return EXIT_SUCCESS;
}
