#include <stdlib.h>
#include <stdio.h>

int multiplicationAlexandrine(int x, int y){
    int res = 0;
    while( y!=0 ){
        if(y%2==1){
            res = res + x;
        }
        x = 2*x;
        y = y/2;
    }
    return res;
}

/* Pour le calcul de la complexité, voir cours. (Ce sera fait à la rentrée) */


/* L'algorithme équivalent pour x^y s'appelle l'exponentiation rapide. */

int exponentiationRapide(int x, int y){
    int res = 1;
    while( y!=0 ){
        if(y%2==1){
            res = res * x;
        }
        x = x*x;
        y = y/2;
    }
    return res;
}

int
main(void){
    int x=4;
    int y=6;

    printf("%dx%d = %d\n",x,y,multiplicationAlexandrine(x,y));

    x=5;
    y=3;

    printf("%d^%d = %d\n",x,y,exponentiationRapide(x,y));
    return EXIT_SUCCESS;
}

