#include <stdio.h>
#include <stdlib.h>

void syrac(int n){
  int k = 0;
  printf("%d ", n);
  while (n!=1){
    k++;
    if (n%2==0)
      n /=2;
    else
      n = 3*n+1;
    printf("%d ", n);  
  }
  printf("\n");
  printf("indice = %d\n", k);
}

int syracTemps(int n){
  int k = 0;
  while (n!=1){
    k++;
    if (n%2==0)
      n /=2;
    else
      n = 3*n+1;
  }
  return k;
}
  
int syracAltitude(int n){
  int k = 0;
  int u = n;
  do {
    if (u%2==0)
      u /=2;
    else
      u = 3*u+1;
    k++;
  }while (u>n);
  return k;
}

/* do{
    instruction1;
    instruction2;
         ...
   }while(conditions);

   permet d'exécuter une première fois les instructions à l'intérieur du while,
   avant d'effectuer le test entre parenthèses. En utilisant while seulement
   on aurait du écrire

int syracAltitude(int n){
  int k = 1;
  int u = n;
  if (u%2==0)
    u /=2;
  else
    u = 3*u+1;
  while (u>n){
    if (u%2==0)
      u /=2;
    else
      u = 3*u+1;
    k++;
  }
  return k;
}

*/

int syracMax(int n){
  int max = n;
  int u = n;
  while (u!=1){
    if (u%2==0)
      u /=2;
    else
      u = 3*u+1;
    if (u>max)
      max = u;
  }
  return max;
}

int
main(void){
  int n = 5;
  
  syrac(n);
  printf("temps de vol = %d\n", syracTemps(n));
  printf("temps de vol en altitude  = %d\n", syracAltitude(n));
  printf("altitude maximale = %d\n", syracMax(n));

  return EXIT_SUCCESS;
}
